Skip to main content
GET
/
contacts
List Contacts
curl --request GET \
  --url https://api.unosend.co/contacts \
  --header 'Authorization: Bearer <token>'

Documentation Index

Fetch the complete documentation index at: https://docs.unosend.co/llms.txt

Use this file to discover all available pages before exploring further.

audience_id
string
Filter contacts by audience ID.
page
integer
default:"1"
Page number.
per_page
integer
default:"50"
Number of contacts per page (max 100).

Request

curl "https://api.unosend.co/contacts?audience_id=aud_123&page=1&per_page=10" \
  -H "Authorization: Bearer un_xxxxxxxxxx"

Response

200
{
  "success": true,
  "data": [
    {
      "id": "con_123",
      "email": "john@example.com",
      "first_name": "John",
      "last_name": "Doe",
      "subscribed": true,
      "created_at": "2024-01-15T10:30:00.000Z"
    }
  ],
  "meta": {
    "total": 1250,
    "page": 1,
    "page_size": 10,
    "pages": 125
  }
}